OpenNMS API 1.2.9

## org.opennms.netmgt.mock
Class MockLogAppender

    java.lang.Object
      org.apache.log4j.AppenderSkeleton
          org.opennms.netmgt.mock.MockLogAppender

All Implemented Interfaces:
  org.apache.log4j.Appender, org.apache.log4j.spi.OptionHandler

public class MockLogAppender
extends org.apache.log4j.AppenderSkeleton

Author:
  brozow

Field Summary

Fields inherited from class org.apache.log4j.AppenderSkeleton
`closed, errorHandler, headFilter, layout, name, tailFilter, threshold`

Constructor Summary
`MockLogAppender()`

Method Summary
`protected void` `append(org.apache.log4j.spi.LoggingEvent event)`
`void` `close()`
`void` `doAppend(org.apache.log4j.spi.LoggingEvent event)`
`boolean` `requiresLayout()`

Methods inherited from class org.apache.log4j.AppenderSkeleton
`activateOptions, addFilter, clearFilters, finalize, getErrorHandler, getFilter, getFirstFilter, getLayout, getName, getThreshold, isAsSevereAsThreshold, setErrorHandler, setLayout, setName, setThreshold`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MockLogAppender

    public MockLogAppender()

Method Detail

### doAppend

    public void doAppend(org.apache.log4j.spi.LoggingEvent event)

### append

    protected void append(org.apache.log4j.spi.LoggingEvent event)

### close

    public void close()

### requiresLayout

    public boolean requiresLayout()

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.